Bug 217551 - avc denied execheap for X, Xorg
Summary: avc denied execheap for X, Xorg
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-28 16:13 UTC by Orion Poplawski
Modified: 2018-04-11 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 16:46:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2006-11-28 16:13:02 UTC
Testing out your selinux-policy-2.4.5-4.fc5 packages (thanks!).  Seeing the
following at boot:

audit(1164729551.665:4): avc:  denied  { execheap } for  pid=1338 comm="Xorg"
scontext=system_u:system_r:xdm_xserver_t:s0
tcontext=system_u:system_r:xdm_xserver_t:s0 tclass=process
audit(1164729551.665:5): avc:  denied  { execheap } for  pid=1338 comm="Xorg"
scontext=system_u:system_r:xdm_xserver_t:s0
tcontext=system_u:system_r:xdm_xserver_t:s0 tclass=process
audit(1164729551.665:6): avc:  denied  { execheap } for  pid=1338 comm="Xorg"
scontext=system_u:system_r:xdm_xserver_t:s0
tcontext=system_u:system_r:xdm_xserver_t:s0 tclass=process
audit(1164729599.287:7): avc:  denied  { execheap } for  pid=2846 comm="X"
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023
tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=process
audit(1164729599.288:8): avc:  denied  { execheap } for  pid=2846 comm="X"
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023
tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=process
audit(1164729599.288:9): avc:  denied  { execheap } for  pid=2846 comm="X"
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023
tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=process

Don't see it on other machines, so it may be limited to the i810 or synaptics
driver.  Does not appear to have prevented any functionality so far though.

Comment 1 Orion Poplawski 2006-11-28 17:45:00 UTC
This is xorg-x11-drv-i810-1.5.1.0-1 from FC5 updates-testing.  Don't know if
this occurs or not with the stock FC5 driver.

Comment 2 Orion Poplawski 2006-12-04 17:20:44 UTC
Confirmed that it also occurs with xorg-x11-drv-i810-1.4.1.3-3.1

Comment 3 Orion Poplawski 2006-12-04 21:55:15 UTC
Also seeing with xorg-x11-drv-nv-1.2.0-3.fc5

Comment 4 Orion Poplawski 2006-12-14 22:17:11 UTC
On a Radeon XPRESS 200M 5955 (PCIE) system (xorg-x11-drv-ati-6.5.7.3-4.x86_64)
this causes X to abort with a segementation fault.

Comment 5 Daniel Walsh 2006-12-29 15:40:40 UTC
set the boolean allow_execheap.  

setsebool -P allow_execheap=1

Please report these as bugs to xorg or others rpm packages who are causing this
problem.

Allowing execheap is not a great idea.

http://people.redhat.com/~drepper/selinux-mem.html


Comment 6 Adam Jackson 2007-01-02 16:37:06 UTC
Oh, FC5.

I think this just needs a backport of the selinux awareness patch from FC6.

Comment 7 Matěj Cepl 2007-07-03 13:52:35 UTC
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.